Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in MariaDB
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in MariaDB
ID: SUSE-SU-2018:0698-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-LTSS
Datum: Fr, 16. März 2018, 07:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2612
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10268
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2562
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2665
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2668
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2640
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10378
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2622
Applikationen: MariaDB

Originalnachricht

   SUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:0698-1
Rating: important
References: #1064101 #1064115 #1072665 #1078431
Cross-References: CVE-2017-10268 CVE-2017-10378 CVE-2018-2562
CVE-2018-2612 CVE-2018-2622 CVE-2018-2640
CVE-2018-2665 CVE-2018-2668
Affected Products:
SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

An update that fixes 8 vulnerabilities is now available.

Description:



This update for mariadb to 10.0.34 fixes several issues.

These security issues were fixed:

- CVE-2017-10378: Vulnerability in subcomponent: Server: Optimizer. Easily
exploitable vulnerability allowed low privileged attacker with network
access via multiple protocols to compromise MySQL Server. Successful
attacks of this vulnerability can result in unauthorized ability to
cause a hang or frequently repeatable crash (complete DOS) (bsc#1064115).
- CVE-2017-10268: Vulnerability in subcomponent: Server: Replication.
Difficult to exploit vulnerability allowed high privileged attacker with
logon to the infrastructure where MySQL Server executes to compromise
MySQL Server. Successful attacks of this vulnerability can result in
unauthorized access to critical data or complete access to all MySQL
Server accessible data (bsc#1064101).
- CVE-2018-2562: Vulnerability in the MySQL Server subcomponent: Server :
Partition. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server as well as unauthorized update, insert or
delete access to some of MySQL Server accessible data.
- CVE-2018-2622: Vulnerability in the MySQL Server subcomponent: Server:
DDL. Easily exploitable vulnerability allowed low privileged attacker
with network access via multiple protocols to compromise MySQL Server.
Successful attacks of this vulnerability can result in unauthorized
ability to cause a hang or frequently repeatable crash (complete DOS) of
MySQL Server.
- CVE-2018-2640: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2665: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2668: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2612: Vulnerability in the MySQL Server subcomponent: InnoDB.
Easily exploitable vulnerability allowed high privileged attacker with
network access via multiple protocols to compromise MySQL Server.
Successful attacks of this vulnerability can result in unauthorized
creation, deletion or modification access to critical data or all MySQL
Server accessible data and unauthorized ability to cause a hang or
frequently repeatable crash (complete DOS) of MySQL Server.

These non-security issues were fixed:

- Relax the required version of mariadb-errormessages to fix the update to
MariaDB 10.2. (bsc#1072665)
- CHECK TABLE no longer returns an error when run on a CONNECT table
- 'Undo log record is too big.' error occurring in very narrow range
of
string lengths
- Race condition between INFORMATION_SCHEMA.INNODB_SYS_TABLESTATS and
ALTER/DROP/TRUNCATE TABLE
- Wrong result after altering a partitioned table fixed bugs in InnoDB
FULLTEXT INDEX
- InnoDB FTS duplicate key error * MDEV-13051: InnoDB crash after failed
ADD INDEX and table_definition_cache eviction
- fts_create_doc_id() unnecessarily allocates 8 bytes for every inserted
row
- IMPORT TABLESPACE may corrupt ROW_FORMAT=REDUNDANT tables

For additional changes please see
https://kb.askmonty.org/en/mariadb-10033-changelog and
https://kb.askmonty.org/en/mariadb-10034-changelog .


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-2018-477=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):

libmysqlclient-devel-10.0.34-20.43.1
libmysqlclient18-10.0.34-20.43.1
libmysqlclient18-debuginfo-10.0.34-20.43.1
libmysqlclient_r18-10.0.34-20.43.1
libmysqld-devel-10.0.34-20.43.1
libmysqld18-10.0.34-20.43.1
libmysqld18-debuginfo-10.0.34-20.43.1
mariadb-10.0.34-20.43.1
mariadb-client-10.0.34-20.43.1
mariadb-client-debuginfo-10.0.34-20.43.1
mariadb-debuginfo-10.0.34-20.43.1
mariadb-debugsource-10.0.34-20.43.1
mariadb-errormessages-10.0.34-20.43.1
mariadb-tools-10.0.34-20.43.1
mariadb-tools-debuginfo-10.0.34-20.43.1

- SUSE Linux Enterprise Server 12-LTSS (s390x x86_64):

libmysqlclient18-32bit-10.0.34-20.43.1
libmysqlclient18-debuginfo-32bit-10.0.34-20.43.1


References:

https://www.suse.com/security/cve/CVE-2017-10268.html
https://www.suse.com/security/cve/CVE-2017-10378.html
https://www.suse.com/security/cve/CVE-2018-2562.html
https://www.suse.com/security/cve/CVE-2018-2612.html
https://www.suse.com/security/cve/CVE-2018-2622.html
https://www.suse.com/security/cve/CVE-2018-2640.html
https://www.suse.com/security/cve/CVE-2018-2665.html
https://www.suse.com/security/cve/CVE-2018-2668.html
https://bugzilla.suse.com/1064101
https://bugzilla.suse.com/1064115
https://bugzilla.suse.com/1072665
https://bugzilla.suse.com/1078431

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung